List foster assignments
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/foster-assignments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/foster-assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/foster-assignments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"foster_home_id": "<string>",
"animal_id": "<string>",
"status": "pending",
"requested_on": "<string>",
"is_live": true,
"started_on": "<string>",
"ended_on": "<string>",
"end_reason": "adopted",
"decline_reason": "<string>",
"notes": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"duration_days": 123,
"animal_name": "<string>",
"animal_species": "<string>",
"foster_first_name": "<string>",
"foster_last_name": "<string>",
"foster_name": "<string>"
}
],
"limit": 123,
"offset": 123,
"has_more": true,
"total": 123
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Foster homes
List foster assignments
One page of offers and placements, pending and active ones first, newest offer first. Each carries the animal’s name and species and the foster’s name. Needs read on Animals.
GET
/
api
/
animals
/
foster-assignments
List foster assignments
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/foster-assignments \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/foster-assignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/foster-assignments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"foster_home_id": "<string>",
"animal_id": "<string>",
"status": "pending",
"requested_on": "<string>",
"is_live": true,
"started_on": "<string>",
"ended_on": "<string>",
"end_reason": "adopted",
"decline_reason": "<string>",
"notes": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"duration_days": 123,
"animal_name": "<string>",
"animal_species": "<string>",
"foster_first_name": "<string>",
"foster_last_name": "<string>",
"foster_name": "<string>"
}
],
"limit": 123,
"offset": 123,
"has_more": true,
"total": 123
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Query Parameters
Only assignments in this status.
Available options:
pending, active, completed, declined Only this home's.
Only this animal's.
How many to return. 50 unless you say, 200 at most.
Required range:
1 <= x <= 200How many to skip, for the next page.
Required range:
x >= 0